org.kie.api.event.kiescanner

## Class DefaultKieScannerEventListener

- java.lang.Object
- - org.kie.api.event.kiescanner.DefaultKieScannerEventListener

- All Implemented Interfaces:
    EventListener, KieScannerEventListener

      public class DefaultKieScannerEventListener
      extends Object
      implements KieScannerEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKieScannerEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onKieScannerStatusChangeEvent(KieScannerStatusChangeEvent statusChange)` Method called when the KieScanner transitioned to a new `KieScanner.Status`
    `void` | `onKieScannerUpdateResultsEvent(KieScannerUpdateResultsEvent updateResults)` Method called when the KieScanner performed an update.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKieScannerEventListener

          public DefaultKieScannerEventListener()

  - ### Method Detail

    - #### onKieScannerStatusChangeEvent

          public void onKieScannerStatusChangeEvent(KieScannerStatusChangeEvent statusChange)

      Description copied from interface: `KieScannerEventListener`
      Method called when the KieScanner transitioned to a new `KieScanner.Status`
      Specified by:
        `onKieScannerStatusChangeEvent` in interface `KieScannerEventListener`

    - #### onKieScannerUpdateResultsEvent

          public void onKieScannerUpdateResultsEvent(KieScannerUpdateResultsEvent updateResults)

      Description copied from interface: `KieScannerEventListener`
      Method called when the KieScanner performed an update.
      Specified by:
        `onKieScannerUpdateResultsEvent` in interface `KieScannerEventListener`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.